Changelogs » Tri.token

PyUp Safety actively tracks 268,345 Python packages for vulnerabilities and notifies you when to upgrade.

Tri.token

3.2.0

~~~~~~~~~~~~~~~~~~
  
  * Upped dependency tri.declarative to 5.x

3.1.1

~~~~~~~~~~~~~~~~~~
  
  * Fixed bug with comparison operators and other types
  
  * Fixed pickle support
  
  * Fixed equality check

3.1.0

~~~~~~~~~~~~~~~~~~
  
  * Bumped dependency tri.declarative to 4.0.0
  
  * Dropped broken implementation of pickle of `Token` (Pickled values had broken ordering)

3.0.1

~~~~~~~~~~~~~~~~~~
  
  * Optimization for some common cases
  
  * Support Python 3.8

3.0.0

~~~~~~~~~~~~~~~~~~
  
  * Changed package name from `tri.token` to `tri_token`

2.0.0

~~~~~~~~~~~~~~~~~~
  
  * Drop support for python < v3.0 for better type hint analysis in PyCharm

1.1.0

~~~~~~~~~~~~~~~~~~
  
  * Added requirement to set `__override__=True` parameter for token that shadow token from base class.

1.0.1

~~~~~~~~~~~~~~~~~~
  
  * Changed metaclass handling to make PyCharm understand it

1.0.0

~~~~~~~~~~~~~~~~~~
  
  * First released version on github
  
  * Added documentation
  
  * Cleanup of build machinery

0.6.0

~~~~~~~~~~~~~~~~~~
  
  * Added documentation generation sort customisation
  
  * Added python 3 support

0.5.0

~~~~~~~~~~~~~~~~~~
  
  * Move dependency tri.cache.memoize from requirements.txt to test_requirements.txt. It is only used
  for regression testing.